Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class InvalidLexicalValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.xmlbeans.impl.common.InvalidLexicalValueException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidLexicalValueException

extends java.lang.RuntimeException

Author: Cezar Andrei (cezar.andrei at bea.com) Date: Nov 24, 2003

See Also:
  Serialized Form

Constructor Summary
`InvalidLexicalValueException()`
`InvalidLexicalValueException(java.lang.String msg)`
`InvalidLexicalValueException(java.lang.String msg, javax.xml.stream.Location location)`
`InvalidLexicalValueException(java.lang.String msg, java.lang.Throwable cause)`
`InvalidLexicalValueException(java.lang.String msg, java.lang.Throwable cause, javax.xml.stream.Location location)`
`InvalidLexicalValueException(java.lang.Throwable cause)`
`InvalidLexicalValueException(java.lang.Throwable cause, javax.xml.stream.Location location)`

Method Summary
`javax.xml.stream.Location` | `getLocation()`
`void` | `setLocation(javax.xml.stream.Location location)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidLexicalValueException

    public InvalidLexicalValueException()

### InvalidLexicalValueException

    public InvalidLexicalValueException(java.lang.String msg)

### InvalidLexicalValueException

    public InvalidLexicalValueException(java.lang.String msg,
                                        java.lang.Throwable cause)

### InvalidLexicalValueException

    public InvalidLexicalValueException(java.lang.Throwable cause)

### InvalidLexicalValueException

    public InvalidLexicalValueException(java.lang.String msg,
                                        javax.xml.stream.Location location)

### InvalidLexicalValueException

    public InvalidLexicalValueException(java.lang.String msg,
                                        java.lang.Throwable cause,
                                        javax.xml.stream.Location location)

### InvalidLexicalValueException

    public InvalidLexicalValueException(java.lang.Throwable cause,
                                        javax.xml.stream.Location location)

Method Detail

### getLocation

    public javax.xml.stream.Location getLocation()

### setLocation

    public void setLocation(javax.xml.stream.Location location)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD